PEAR Forum :: PHP Extension and Application Repository

PEAR Forum Forum Index
 FAQFAQ   SearchSearch   MemberlistMemberlist   RegisterRegister   ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 
Command line?

 
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    PEAR Forum Forum Index -> General PEAR questions
View previous topic :: View next topic  
Author Message
DarkJaff



Joined: 16 May 2008
Posts: 2

PostPosted: Fri May 16, 2008 4:13 am    Post subject: Command line? Reply with quote

Hi everyone,

First, maybe my question is very stupid but I can't find the answer anywhere. I got a problem and I know that I need to write this somewhere:

Code:
pear install MDB2#mysql


I tried in Windows command line. Doesn't work. Where do I need to write this to install the mysql wrapper? I check and there is no "pear" executable on my machine but pear is installed.

I have Windows, with a copy of EasyPHP. But I delete everything related to pear and install a fresh copy with go-pear.php.

Please help me and tell me where is the command line to install the wrapper! Thanks!

DarkJaff
Back to top
View user's profile Send private message
mark



Joined: 07 Jan 2007
Posts: 1235

PostPosted: Fri May 16, 2008 9:43 am    Post subject: Reply with quote

You're right about the command line. If you have installed PEAR via go-pear, there should be a file named pear.bat on your system. And this batch file also should habe been added to the PATH environment variable.

Did you maybe search for a pear.exe file?
Back to top
View user's profile Send private message
DarkJaff



Joined: 16 May 2008
Posts: 2

PostPosted: Fri May 16, 2008 2:23 pm    Post subject: Reply with quote

Thanks for the reply!

You were right, I tried to find an .exe. So I just add the pear.bat path to the path environment variable and I write my query but received this error:

Code:

Skipping package "pear/MDB2", already installed as version 2.4.1
pear/MDB2_Driver_mysql requires PHP extension "mysql"
No valid packages found
install failed


I did a little search on the net an write this instead:

Code:
pear install --nodeps MDB2_Driver_mysql


It now works ok! Thanks and I hope to understand a little bit more pear because it's seems to be a very good "framework" for php.

Jaff
Back to top
View user's profile Send private message
mark



Joined: 07 Jan 2007
Posts: 1235

PostPosted: Fri May 16, 2008 3:08 pm    Post subject: Reply with quote

Just as an explanation about the messages that you've got:

The first line tells you that MDB2 is already installed. This is because "pear install MDB2#mysql" tries to install both MDB2 and the mysql driver package. The second line complains about the missing mysql extension. Your command line version of PHP might not have this extension enabled, and that's why the PEAR installer complains. If the extension is enabled in the PHP version that the webserver uses, your workaround is perfectly fine.
Back to top
View user's profile Send private message
Display posts from previous:   
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    PEAR Forum Forum Index -> General PEAR questions All times are GMT + 2 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum



PEAR Forum topic RSS feed 
Powered by phpBB © 2001, 2005 phpBB Group

Provided by Ministry of Web developement